#
# spec file for package python-Pykka
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Pykka
Version:        2.0.2
Release:        bp153.1.16
Summary:        A Python implementation of the actor model
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://www.pykka.org/
Source:         https://files.pythonhosted.org/packages/source/P/Pykka/Pykka-%{version}.tar.gz
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Pykka is a Python implementation of the `actor model
<http://en.wikipedia.org/wiki/Actor_model>`_. The actor model introduces some
rules to control the sharing of state and cooperation between execution
units, with which one can build concurrent applications.

%prep
%setup -q -n Pykka-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Dec  2 2019 Matej Cepl <mcepl@suse.com>
- Update to 2.0.2:
  - Make :class:`~pykka.ActorRef` hashable
  - Fix test suite run with pytest-mocker >= 1.11.2.
* Tue May 21 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 2.0.0
- enable tests
* Wed Dec 19 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description. Avoid name repetition in summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Jan 10 2018 tbechtold@suse.com
- Convert to singlespec
* Wed Jan 10 2018 tbechtold@suse.com
- Initial packaging (version 1.2.1)
